
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>模板系列(一) 模板的模板参数 / 憋错料</title>

    <meta name="description" content="模板系列(一) 模板的模板参数 前面我们写过类似的Stack: template &lt;typename T, typename Alloc = std::vector&lt;T&gt; &gt; class Stack { public: void push(const T &amp;); void pop(); T top() const; bool empty() const; private: Alloc _cont; }; 那么我们使用的时候需要这样: Stack&lt;string, list&lt;string ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">模板系列(一) 模板的模板参数</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>前面我们写过类似的Stack:</p>
<pre>template &lt;typename T, typename Alloc = std::vector&lt;T&gt; &gt;
class Stack
{
public:
      void push(const T &amp;);
      void pop();
      T top() const;
      bool empty() const;
private:
      Alloc _cont;
};</pre>
<p>那么我们使用的时候需要这样:</p>
<pre>Stack&lt;string, list&lt;string&gt; &gt; st;</pre>
<p>我们看到，string这个类型参数出现了两次，那么可不可以消除呢？</p>
<p>显然我们的目的是只指定容器的类型，而不包括元素的类型，这就需要借助<strong>模板的模板参数</strong>，来帮助我们写出一下代码：</p>
<pre>Stack&lt;string, list&gt; st;</pre>
<p>这里我们需要定义模板参数的第二项为模板:</p>
<pre>template &lt;typename T,
          template &lt;typename ELEM&gt;
          class Alloc = std::vector&gt;
class Stack;</pre>
<p>我们写出一份完整的实现:</p>
<pre> 1 template &lt;typename T,
 2           template &lt;typename ELEM&gt;
 3           class Alloc = std::vector&gt;
 4 class Stack
 5 {
 6 public:
 7     void push(const T &amp;s);
 8     void pop();
 9     T top() const
10     { return _cont.back(); }
11
12     bool empty() const
13     { return _cont.empty(); }
14 private:
15     Alloc&lt;T&gt; _cont;
16 };
17
18 template &lt;typename T, template &lt;typename&gt; class Alloc&gt;
19 void Stack&lt;T, Alloc&gt;::push(const T &amp;s)
20 {
21     _cont.push_back(s);
22 }
23
24 template &lt;typename T, template &lt;typename&gt; class Alloc&gt;
25 void Stack&lt;T, Alloc&gt;::pop()
26 {
27     _cont.pop_back();
28 }</pre>
<p>然而该段代码仍然会编译错误，这是因为无论是vector还是list都有两个模板参数，于是无法与Alloc这个参数匹配。<br />我们将模板修改为:</p>
<pre>template &lt;typename T,
          template &lt;typename ELEM, typename Alloc = std::allocator&lt;ELEM&gt; &gt;
          class Container = std::vector&gt;
class Stack;</pre>
<p>完整的实现为:</p>
<pre> 1 template &lt;typename T,
 2           template &lt;typename ELEM, typename Alloc = std::allocator&lt;ELEM&gt; &gt;
 3           class Container = std::vector&gt;
 4 class Stack
 5 {
 6 public:
 7     void push(const T &amp;s);
 8     void pop();
 9     T top() const
10     { return _cont.back(); }
11
12     bool empty() const
13     { return _cont.empty(); }
14 private:
15     Container&lt;T&gt; _cont;
16 };
17
18 template &lt;typename T, template &lt;typename, typename&gt; class Container&gt;
19 void Stack&lt;T, Alloc&gt;::push(const T &amp;s)
20 {
21     _cont.push_back(s);
22 }
23
24 template &lt;typename T, template &lt;typename, typename&gt; class Container&gt;
25 void Stack&lt;T, Alloc&gt;::pop()
26 {
27     _cont.pop_back();
28 }</pre>
<p>测试代码为:</p>
<pre>Stack&lt;string, list&gt; st;
st.push("foo");
st.pop();</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 23:07:31 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/color/" title="color">color</a>, <a href="https://www.biecuoliao.com/tag/style/" title="style">style</a>, <a href="https://www.biecuoliao.com/tag/%e4%bd%bf%e7%94%a8/" title="使用">使用</a>, <a href="https://www.biecuoliao.com/tag/blog/" title="blog">blog</a>, <a href="https://www.biecuoliao.com/tag/strong/" title="strong">strong</a>, <a href="https://www.biecuoliao.com/tag/div/" title="div">div</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>模板系列(一) 模板的模板参数的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4Qqq1o4.html" rel="bookmark">模板系列（一）模板的模板参数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在之前,我们写过类似的stack template &lt;typename T, typename Alloc = std::vector&lt;T&gt; &gt; class Stack { public: void push(const T &amp;); void pop(); T top() const; bool empty() const; private: Alloc cont_; }; 那么我们使用的时候,需要这样写 Stack&lt;string, list&lt;string&gt			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MElxeP4.html" rel="bookmark">【Ecmall】ECMall2&period;x模板制作入门系列（认识ECMall模板）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ECMall2.x模板制作入门系列之1(认识ECMall模板) 从ECMall2.0全新架构发布以来,随着版本的不断更新,ECMall已经逐渐走向一个稳定时期,是时候整理一些实用教程了.下面给大家带来一个模板制作入门教程. 申明:本人第一次写教程.可能只能说一些比较浅显的基础知识.条理性可能不是很到位,说得不对的地方欢迎拍砖并指正,目的是希望通过这次教程能让新手们对模板有一个比较系统的认识. 一.ECMall的模板文件在网站中怎么分布的.怎么找到一个页面所对应的模板theme/ 主题目录 商城模			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41EYxg4.html" rel="bookmark">JS组件系列&mdash;&mdash;基于Bootstrap Ace模板的菜单Tab页效果优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言:之前发表过一篇  JS组件系列——基于Bootstrap Ace模板的菜单和Tab页效果分享(你值得拥有) ,收到很多园友的反馈,当然也包括很多诟病,因为上篇只是将功能实现了,很多细节都没有处理,这篇博主将带领大家一起来优化这里的效果,使之成为一个可以在项目里面使用的成品. 说点题外话,本来,在互联网模式下,Tab页+iframe的组合是不能被大多数平台接受的,从这些年推出的一些好的产品可以看出,几乎大家都不这么玩,即使是一些后台的管理模板,比如常见的AdminLTE.Ace.INSPIN			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lXENE0.html" rel="bookmark">FormView的插入模板中的DropDownList控件参数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;%@ Page Language=&quot;VB&quot; AutoEventWireup=&quot;false&quot; CodeFile=&quot;Default.aspx.vb&quot; Inherits=&quot;_Default&quot; %&gt; &lt;!DOCTYPE html PUBLIC &quot;-//W3C//DTD XHTML 1.0 Transitional//EN&quot; &quot;http://www.w3.org/TR/xhtml1/DT			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0a62vv3.html" rel="bookmark">SharePoint 2013 图文开发系列之定义站点模板</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:SharePoint 2013 图文开发系列之定义站点模板 SharePoint站点模板是一个非常好的功能,方便我们开发一类网站,然后在此基础上做二次开发,对于SharePoint的使用,有着举足轻重的作用. 因为篇幅比较长,所以加上目录,方便大家查看: 一.为站点模板添加母版页 二.为站点模板添加自定义列表 三.为站点模板添加可视化WebPart 1.添加新项目,选择SharePoint 2013 空项目,如下图: 2.选择调试站点,部署为场解决方案,如下图: 3.添加新项,选择网站定义			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4NQzyG3.html" rel="bookmark">vSphere部署系列之10&mdash;&mdash;虚拟机模板和规范</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在前面的博文章节中,已搭建了群集,并启用了HA和DRS,但还没有划分资源池,这种情况已经可以应付实际生产环境.资源池的创建和配置比较简单.难点在对配额的理解和按需划分.有兴趣的朋友可以网上查阅相关资料,这里暂不作研究. vCenter提供了模板功能,可把一台已部署好的虚拟机转换为模板,然后以此模板为镜像批量部署虚拟机.这一节是关于虚拟机模板及其管理规范方面的操作. 实验环境总体规划,请见前面的博文&lt;vSphere部署系列之03--实验环境总体规划&gt; ▲总体规划网络拓扑图 一.前期工作 在使用模			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MWQN8b3.html" rel="bookmark">动软模板系列一</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				先看下动软官方的教程: http://www.maticsoft.com/help/Template.htm#_Toc292191122 六．    模板编写教程 模板的大体分为5块内容:模板指令声明,代码语句块,表达式块,类功能控制块,文本块输出.下面我们分别来介绍一下这5块内容的语法和使用说明. 模板指令声明块 &lt;#@  #&gt; 和ASP.NET页面的指令一样,它们出现在文件头,通过&lt;#@…#&gt;表示.其中&lt;#@ template …#&gt;指令是必须的,用于定义模板的基本			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MGxw7Y0.html" rel="bookmark">动软模板系列二（Model层模板）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				动软模板其实和CodeSmith的模板差不多 实现的原理是一样的,但是CodeSmith貌似只支持表生成,而且不够“国人化”,所以打算研究下动软的模板,如果熟练掌握后想必以后开发项目效率可以提高很多了: 这里以典型三层的默认模板为例子: -----------------------------------------------------------------------------------------------------------------------------------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzrK6yM.html" rel="bookmark">类模板&comma;多种类型的类模板&comma;自定义类模板，类模板的默认类型&comma;数组的模板实现，友元和类模板，友元函数，类模板与静态变量，类模板与普通类之间互相继承，类模板作为模板参数，类嵌套，类模板嵌套，类包装器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				﻿﻿ 1.第一个最简单的类模板案例 #include &quot;mainwindow.h&quot; #include &lt;QApplication&gt; #include &lt;QPushButton&gt; #include &lt;QLabel&gt; template&lt;class T&gt; class run { public: T w; void show() { w.show(); } void settext() { w.setText(&quot;A&quot;); }			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/Mmjeb10.html" rel="bookmark">求变量的数据类型，typeid&comma;bool&comma;C和C&plus;&plus;的不同，new和delete&comma;C&plus;&plus;中的枚举，inline和可变参数模板，auto和函数模板，宽字符</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				求变量的数据类型,通过函数typeid(变量名).name();获得变量的数据类型. 案例如下: #include &lt;iostream&gt; #include &lt;stdlib.h&gt; void main() { double db = 10.9; double *pdb = &amp;db; auto num = pdb; //通过typeid的方式获得数据类型 std::cout &lt;&lt; typeid(db).name() &lt;&lt; std::endl; std::c			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/pMPp2BM.html" rel="bookmark" class="title">L1-039&period; 古风排版</a>
					<div>
						L1-039. 古风排版 中国的古人写文字,是从右向左竖向排版的.本题就请你编写程序,把一段文字按古风排版. 输入格式: 输入在第一行给出一个正整数N(&lt;100),是每一列的字符数.第二行给出一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/AMDA880.html" rel="bookmark" class="title">网络常用协议 SSH、SSL</a>
					<div>
						[SSL协议]    SSL(Secure Sockets Layer 安全套接层),及其继任者传输层安全(Transport Layer Security,TLS)是为网络通信提供安全及数据完整性的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/E3w2OQ0.html" rel="bookmark" class="title">CentOS安装桌面环境</a>
					<div>
						相信很多人在学习linux的时候,看的教程(书,或视频),很多都是说,在安装系统的时候, 选择最小化安装,装好系统之后,需要什么软件就装什么软件.不去好好找找,是不会知道系统 默认会安装多少软件,软件 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n1lR7M.html" rel="bookmark" class="title">DataUml Design 教程2-实体建模</a>
					<div>
						DataUml Design (下载)实体建模基于UML类图标准来设计,支持一对一.一对多.多对多关联.模型与开发语言和数据库绑定. 1.新建数据模型 1).选择&quot;数据模型&quot; 节点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dx9ag0.html" rel="bookmark" class="title">python  pdb小结</a>
					<div>
						Debug功能对于developer是非常重要的,python提供了相应的模块pdb让你可以在用文本编辑器写脚本的情况下进行debug. pdb是python debugger的简称.常用的一些命令如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wvNWQ0.html" rel="bookmark" class="title">&sol;判断用户输入的一个数，是不是质数</a>
					<div>
						虽然没学历没预习没基础,做错了吗 var num = window.prompt(&quot;判断是否是质数&quot;);  var count = 0;  for(var i=1; i&lt;=n ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wyjBQM.html" rel="bookmark" class="title">Gym 101064 D Black Hills golden jewels &lpar;二分&rpar;</a>
					<div>
						题目链接:http://codeforces.com/gym/101064/problem/D 问你两个数组合相加的第k大数是多少. 先sort数组,二分答案,然后判断其正确性(判断过程是枚举每个数然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0bgWgL3.html" rel="bookmark" class="title">学会导出XMind 7资源包很重要</a>
					<div>
						现在XMind 7中,可以将风格.模板.剪贴画.图标作为一种XMind资源包进行导出或者导入的操作,更加方便高端.下面就跟本文一起去看看在XMind 7中如何进行导出XMind资源包操作. 我们首先打 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXQOOX0.html" rel="bookmark" class="title">&commat;import与&num;import的使用</a>
					<div>
						在xcode 5 下,为了更易于项目开发,增加了modules和 auto-linking 这两个新特性.用 @import 来增加框架项目中比用 #import会更有效. Modules and a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KqLrY4.html" rel="bookmark" class="title">向别人介绍项目&comma; 不妨尝试简洁、情景式、数据说话</a>
					<div>
						在日常工作中,我们时常需要向同事.朋友.甚至投资人介绍自己的项目,不一样的介绍方式会导致不同的效果.而介绍的难点在于: 1.如何引起别人的兴趣?2.听者的背景迥异,他们大都没有你的行业背景,介绍得越多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXLQwzM.html" rel="bookmark" class="title">IntelliJ IDEA 13 破解安装（JRebel 5&period;6&period;3a破解）</a>
					<div>
						首先安装IntelliJ 13,记得要下载Ultimate Edition版本,不然就不需要破解了.. 安装到本地,然后进行一些配置(这一步可以不要,但是考虑到以后换系统可以省事,推荐做) 打开{in ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyWkGE3.html" rel="bookmark" class="title">怎么样MyEclipse配置Tomcat？</a>
					<div>
						1.下载tomcat免安装版.tomcat路径不包含空格 http://download.csdn.net/detail/u014112584/7549191 2.windows -preferenc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPvmp13.html" rel="bookmark" class="title">ASP&period;NET MVC 搜索&plus;保存搜索结果&period;2个按钮共用一个表单</a>
					<div>
						想要实现的效果,1.搜索功能 2.搜索结果保存到text功能 前台代码 一个表单2个按钮,通过JS代码来修改form的action,来实现调用不同的后台代码 &lt;form name=&quot;f ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aRnAE3.html" rel="bookmark" class="title">面对对象-继承</a>
					<div>
						继承代表了一种is-a关系,如果说A是B,也就可以说A继承了B 父类更加通用子类更加具体优点:提高代码的复用性. java中实现继承使用extends关键字,语法: [修饰符] class 类名 ex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3wBvL10.html" rel="bookmark" class="title">如何直观地理解排列数和组合数</a>
					<div>
						如果要问我高中时学文科有什么不好,我觉得,最不好的一点就是在你上概率论课时,你听着老师讲的内容一脸蒙蔽,而其他同学纷纷表示自己高中时就已经学过了.之前做题遇到排列数与组合数都是直接写A和C,并不进行计 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38yeoR4.html" rel="bookmark" class="title">VB API 之 第十一课 绘制矩形</a>
					<div>
						先来介绍几个画矩形的函数: DrawFocusRect():画一个焦点矩形:Rectangle():用当前选定的画笔描绘矩形,并用当前选定的画刷填充:DrawEdge():用指定的样式描绘一个矩形的边 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MBjWwgM.html" rel="bookmark" class="title">static、final总结</a>
					<div>
						一.static总结: 1.static定义:①static被称为静态,可以用来修饰类的属性或者方法. ②如果类的某个属性,不管创建多少个对象,属性的存储空间只有唯一的一个,那么这个属性就应该用sta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPXx56M.html" rel="bookmark" class="title">Linux学习资料</a>
					<div>
						FTP地址:http://linux.linuxidc.com 用户名:www.linuxidc.com 密码:www.linuxidc.com					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0dD96n0.html" rel="bookmark" class="title">Kidney日拱一卒JavaScript系列Chapter2 Values&amp;amp&semi;Variables</a>
					<div>
						Chapter 2 值和变量 1.值 Values 计算机能做的唯一的事就是处理数据. 计算机所处理的一切数据,无论是数字.文字,还是图片.音频和视频,其最终在硬件中运行的形态都是bit,用数学方式表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/35pAWR0.html" rel="bookmark" class="title">正则表达式及工具</a>
					<div>
						前言:正则表达式,又称正规表示法.常规表示法.(Regular Expression):正则表达式使用单个字符串来描述.匹配一系列符合某个句法规则.在很多文本编辑器里,正则表达式通常被用来检索.替换那 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.022 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
